#
# Conditional build:
%bcond_with	tests	# do perform "make test" (broken, will download dependecies)

%define 	module	unicodecsv
Summary:	Replacement for csv module which supports unicode strings without a hassle
Name:		python-%{module}
Version:	0.14.0
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/u/unicodecsv/%{module}-%{version}.tar.gz
# Source0-md5:	ae2aaff1c2de7b15c741ac394f75a429
URL:		https://github.com/jdunck/python-unicodecsv
BuildRequires:	python-setuptools
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	rpm-pythonprov
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unicodecsv is a drop-in replacement for Python 2's csv module
which supports unicode strings without a hassle.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/%{module}-*.egg-info
%changelog
* Sun Mar 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-unicodecsv.git;a=log;h=master

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> eed6280
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> edf4257
- Version: 0.14.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ee2beaa
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8215e5c
- automatic change: use py_build/py_install macros

* Tue Jun 19 2012 zbyniu <zbyniu@pld-linux.org> 2fc0ea1
- new, builds without tests

